## org.hibernate.criterion
Class SimpleSubqueryExpression

    java.lang.Object
      org.hibernate.criterion.SubqueryExpression
          org.hibernate.criterion.SimpleSubqueryExpression

All Implemented Interfaces:
  Serializable, Criterion

    public class SimpleSubqueryExpression

extends SubqueryExpression

A comparison between a constant value and the the result of a subquery

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`protected` `SimpleSubqueryExpression(Object value, String op, String quantifier, DetachedCriteria dc)`

Method Summary
`TypedValue[]` `getTypedValues(Criteria criteria, CriteriaQuery criteriaQuery)` Return typed values for all parameters in the rendered SQL fragment
`protected String` `toLeftSqlString(Criteria criteria, CriteriaQuery criteriaQuery)`

Methods inherited from class org.hibernate.criterion.SubqueryExpression
`getTypes, toSqlString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSubqueryExpression

    protected SimpleSubqueryExpression(Object value,
                                       String op,
                                       String quantifier,
                                       DetachedCriteria dc)

Method Detail

### getTypedValues

    public TypedValue[] getTypedValues(Criteria criteria,
                                       CriteriaQuery criteriaQuery)
                                throws HibernateException

  Description copied from interface: `Criterion`
  Return typed values for all parameters in the rendered SQL fragment

  Specified by:
    `getTypedValues` in interface `Criterion`
  Overrides:
    `getTypedValues` in class `SubqueryExpression`
  Parameters:
    `criteria` - The local criteria
    `criteriaQuery` - The overal criteria query
  Returns:
    The types values (for binding)
  Throws:
    `HibernateException` - Problem determining types.

### toLeftSqlString

    protected String toLeftSqlString(Criteria criteria,
                                     CriteriaQuery criteriaQuery)

  Specified by:
    `toLeftSqlString` in class `SubqueryExpression`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.